Bug 1037948 - (CVE-2013-6887) CVE-2013-6887 openjpeg: multiple denial of service flaws in version 1.5.1
CVE-2013-6887 openjpeg: multiple denial of service flaws in version 1.5.1
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131204,repor...
: Reopened, Security
Depends On: 1038409 1038981
Blocks: 1036502
  Show dependency treegraph
 
Reported: 2013-12-04 01:23 EST by Murray McAllister
Modified: 2015-01-04 17:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 04:53:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.09 KB, patch)
2013-12-11 02:40 EST, Murray McAllister
no flags Details | Diff

  None (edit)
Description Murray McAllister 2013-12-04 01:23:55 EST
Raphael Geissert discovered multiple denial of service flaws in OpenJPEG. If a specially-crafted image were opened by an application linked against OpenJPEG, it could cause the application to crash.

These issues only affected the version of OpenJPEG as shipped in Fedora (version 1.5.1).

Acknowledgements:

Red Hat would like to thank Raphael Geissert for reporting these issues during a review for EDF.
Comment 2 Huzaifa S. Sidhpurwala 2013-12-06 04:39:11 EST
Statement:

Not Vulnerable. This issue does not affect the version of openjpeg as shipped with Red Hat Enterprise Linux 6.
Comment 3 Huzaifa S. Sidhpurwala 2013-12-06 04:49:38 EST
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038409]
Comment 4 Huzaifa S. Sidhpurwala 2013-12-06 04:49:41 EST
Created mingw-openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038981]
Comment 5 Murray McAllister 2013-12-11 02:40:58 EST
Created attachment 835153 [details]
proposed patch

Note You need to log in before you can comment on or make changes to this bug.